Package org.eclipse.jdt.core.dom

## Class Assignment.Operator

- java.lang.Object
- - org.eclipse.jdt.core.dom.Assignment.Operator

Enclosing class:
  Assignment

    public static class Assignment.Operator
    extends Object

Assignment operators (typesafe enumeration).

     AssignmentOperator:
        = ASSIGN
        += PLUS_ASSIGN
        -= MINUS_ASSIGN
        *= TIMES_ASSIGN
        /= DIVIDE_ASSIGN
        &= BIT_AND_ASSIGN
        |= BIT_OR_ASSIGN
        ^= BIT_XOR_ASSIGN
        %= REMAINDER_ASSIGN
        <<= LEFT_SHIFT_ASSIGN
        >>= RIGHT_SHIFT_SIGNED_ASSIGN
        >>>= RIGHT_SHIFT_UNSIGNED_ASSIGN

### Field Summary

Fields
`static Assignment.Operator` `ASSIGN` = operator.
`static Assignment.Operator` `BIT_AND_ASSIGN` &= operator.
`static Assignment.Operator` `BIT_OR_ASSIGN` |= operator.
`static Assignment.Operator` `BIT_XOR_ASSIGN` ^= operator.
`static Assignment.Operator` `DIVIDE_ASSIGN` /= operator.
`static Assignment.Operator` `LEFT_SHIFT_ASSIGN` <<== operator.
`static Assignment.Operator` `MINUS_ASSIGN` -= operator.
`static Assignment.Operator` `PLUS_ASSIGN` += operator.
`static Assignment.Operator` `REMAINDER_ASSIGN` %= operator.
`static Assignment.Operator` `RIGHT_SHIFT_SIGNED_ASSIGN` >>= operator.
`static Assignment.Operator` `RIGHT_SHIFT_UNSIGNED_ASSIGN` >>>= operator.
`static Assignment.Operator` `TIMES_ASSIGN` = operator.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Assignment.Operator` `toOperator​(String token)` Returns the assignment operator corresponding to the given string, or `null` if none.
`String` `toString()` Returns the character sequence for the operator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ASSIGN

    public static final Assignment.Operator ASSIGN

= operator.

#### PLUS_ASSIGN

    public static final Assignment.Operator PLUS_ASSIGN

+= operator.

#### MINUS_ASSIGN

    public static final Assignment.Operator MINUS_ASSIGN

-= operator.

#### TIMES_ASSIGN

    public static final Assignment.Operator TIMES_ASSIGN

= operator.

#### DIVIDE_ASSIGN

    public static final Assignment.Operator DIVIDE_ASSIGN

/= operator.

#### BIT_AND_ASSIGN

    public static final Assignment.Operator BIT_AND_ASSIGN

&= operator.

#### BIT_OR_ASSIGN

    public static final Assignment.Operator BIT_OR_ASSIGN

|= operator.

#### BIT_XOR_ASSIGN

    public static final Assignment.Operator BIT_XOR_ASSIGN

^= operator.

#### REMAINDER_ASSIGN

    public static final Assignment.Operator REMAINDER_ASSIGN

%= operator.

#### LEFT_SHIFT_ASSIGN

    public static final Assignment.Operator LEFT_SHIFT_ASSIGN

<<== operator.

#### RIGHT_SHIFT_SIGNED_ASSIGN

    public static final Assignment.Operator RIGHT_SHIFT_SIGNED_ASSIGN

>>= operator.

#### RIGHT_SHIFT_UNSIGNED_ASSIGN

    public static final Assignment.Operator RIGHT_SHIFT_UNSIGNED_ASSIGN

>>>= operator.

### Method Detail

#### toString

    public String toString()

Returns the character sequence for the operator.

Overrides:
  `toString` in class `Object`
Returns:
  the character sequence for the operator

#### toOperator

    public static Assignment.Operator toOperator​(String token)

Returns the assignment operator corresponding to the given string, or `null` if none.

`toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

Parameters:
  `token` - the character sequence for the operator
Returns:
  the assignment operator, or `null` if none